Bullet Collision Detection & Physics Library: btVectorX< T > Struct Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btVectorX< T > Struct Template Reference

`#include <btMatrixX.h>`

## Public Member Functions
| btVectorX ()
| btVectorX (int numRows)
void | resize (int rows)
int | cols () const
int | rows () const
int | size () const
T | nrm2 () const
void | setZero ()
const T & | operator[] (int index) const
T & | operator[] (int index)
T * | getBufferPointerWritable ()
const T * | getBufferPointer () const

## Public Attributes
btAlignedObjectArray< T > | m_storage

## Detailed Description

template<typename T>
struct btVectorX< T >

Definition at line 40 of file btMatrixX.h.

## Constructor & Destructor Documentation

## ◆ btVectorX() [1/2]

template<typename T >

btVectorX< T >::btVectorX | ( |  | ) |
| inline

Definition at line 44 of file btMatrixX.h.

## ◆ btVectorX() [2/2]

template<typename T >

btVectorX< T >::btVectorX | ( | int | numRows | ) |
| inline

Definition at line 47 of file btMatrixX.h.

## Member Function Documentation

## ◆ cols()

template<typename T >

int btVectorX< T >::cols | ( |  | ) | const
| inline

Definition at line 56 of file btMatrixX.h.

## ◆ getBufferPointer()

template<typename T >

const T * btVectorX< T >::getBufferPointer | ( |  | ) | const
| inline

Definition at line 138 of file btMatrixX.h.

## ◆ getBufferPointerWritable()

template<typename T >

T * btVectorX< T >::getBufferPointerWritable | ( |  | ) |
| inline

Definition at line 133 of file btMatrixX.h.

## ◆ nrm2()

template<typename T >

T btVectorX< T >::nrm2 | ( |  | ) | const
| inline

Definition at line 69 of file btMatrixX.h.

## ◆ operator[]() [1/2]

template<typename T >

T & btVectorX< T >::operator[] | ( | int | index | ) |
| inline

Definition at line 128 of file btMatrixX.h.

## ◆ operator[]() [2/2]

template<typename T >

const T & btVectorX< T >::operator[] | ( | int | index | ) | const
| inline

Definition at line 123 of file btMatrixX.h.

## ◆ resize()

template<typename T >

void btVectorX< T >::resize | ( | int | rows | ) |
| inline

Definition at line 52 of file btMatrixX.h.

## ◆ rows()

template<typename T >

int btVectorX< T >::rows | ( |  | ) | const
| inline

Definition at line 60 of file btMatrixX.h.

## ◆ setZero()

template<typename T >

void btVectorX< T >::setZero | ( |  | ) |
| inline

Definition at line 113 of file btMatrixX.h.

## ◆ size()

template<typename T >

int btVectorX< T >::size | ( |  | ) | const
| inline

Definition at line 64 of file btMatrixX.h.

## Member Data Documentation

## ◆ m_storage

template<typename T >

btAlignedObjectArray<T> btVectorX< T >::m_storage

Definition at line 42 of file btMatrixX.h.

The documentation for this struct was generated from the following file:

- btMatrixX.h